import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 除Segment外部门查询PV
export function selectPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// Segment查询PV
export function selectPVForSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_PV',
      param: '人员编号=' + arguments[0] + '&部门代码=' + arguments[1]
    }
  })
}
// 查询奖金得分
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_TL得分修改_查询',
      param: '月份=' + arguments[0] + '\\&people_id =' + arguments[1] + '\\&rolenumber =' + arguments[2] + '\\&pv_check =' + arguments[3] + '\\&Area =' + arguments[4] + '\\&MU_check =' + arguments[5] + '\\&MU =' + arguments[6] + '\\&部门_check =' + arguments[7] + '\\&部门 =' + arguments[8]
    }
  })
}
// 查询MU
export function selectMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选MU',
      param: '月份=' + arguments[0] + '&角色代码=' + arguments[1] + '&操作者工号=' + arguments[2]
    }
  })
}
// 查询部门
export function selectDepartment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选SL',
      param: '月份=' + arguments[0] + '\\&角色代码=' + arguments[1] + '\\&操作者工号=' + arguments[2] + '\\&MU=' + arguments[3]
    }
  })
}
// 查询Area
export function selectArea() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选Area',
      param: '月份=' + arguments[0] + '\\&角色代码=' + arguments[1] + '\\&操作者工号=' + arguments[2] + '\\&部门=' + arguments[3]
    }
  })
}

// 执行保存
export function handleSave() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_TL得分修改_更新',
      param: 'id=' + arguments[0] + '\\&计划完成率=' + arguments[1] + '\\&工时效率=' + arguments[2] + '\\&PV打分=' + arguments[3]
    }
  })
}
// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
